include:
  - project: computing/gitlab-ci-templates
    file:
      - python.yml

stages:
  - test
  - docs
  - pages

# Linting: library
lint/lib:
  extends:
    # https://computing.docs.ligo.org/gitlab-ci-templates/python/#.python:flake8
    - .python:flake8
  stage: test
  variables:
    FLAKE8_PLUGINS: flake8-black

# Generate documentation
docs:
  stage: docs
  extends:
    # https://computing.docs.ligo.org/gitlab-ci-templates/python/#.python:mkdocs
    - .python:mkdocs
  image: python:3.10  # NOTE: htcondor package not available for 3.11 yet
  variables:
    REQUIREMENTS: ".[docs]"

# Publish docs
pages:
  stage: pages
  script:
    - mv -v site public
  artifacts:
    paths:
      - public
#  only:
#    - main
  dependencies:
    - docs

